你的位置:首页 > 操作系统

[操作系统]开启VIM的Python支持

如果你要在VIM中增加诸如YouCompleteMe这一类的插件的话,那么你需要VIM有Python的支持,这个是在一开始编译的选项里指定的。具体操作如下:

 

1、查看是否支持python

vim --version | grep python

image

说明没有加入Python支持,这个时候如果使用YouCompleteMe这个插件,就会出现这样的警告

image

 

2、解决方法:重新编译安装Vim,开启Vim的Python支持,即可。

./configure --enable-pythoninterp=yes --with-python-config-dir=/usr/lib64/python2.6/config

 

提示:可能遇到下面的问题

image

解决办法:

yum install python-devel

image

 

3、再次查看,Vim已经加入Python支持

image